# AppenderSkeleton.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <log4cpp/Appender.hh>`
`#include <log4cpp/Filter.hh>`

Include dependency graph for AppenderSkeleton.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::AppenderSkeleton
| AppenderSkeleton is a helper class, simplifying implementation of Appenders: it already takes care of handling of Thresholds and Filters. More...